service:
  port: 8090
  targetPort: 8090

ingress:
  enabled: true
  annotations: {}
    # kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: assignment.saad.com
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources:
  requests:
    memory: "128Mi"
    cpu: "250m"
  limits:
    memory: "256Mi"
    cpu: "500m"

image:
  repository: saadw/myapp
  tag:
  imagePullSecrets: regcred
  imagePullPolicy: always

replicaCount: 1


readinessProbe:
 initialDelaySeconds: 120
 periodSeconds: 10
 httpGet:
 path: /actuator/health
 port: 8090
livenessProbe:
 initialDelaySeconds: 120
 periodSeconds: 20
 httpGet:
 path: /actuator/health
 port: 8090